Subject: [Tsvwg] Re: Protocol Action: Increasing TCP's Initial Window to Proposed Standard

From: Bob Braden <[email-masked]>
Date: Wed, 28 Aug 2002 23:25:34 GMT

*> 
  *> 
  *> The IESG has approved the Internet-Draft 'Increasing TCP's Initial
  *> Window' <draft-ietf-tsvwg-initwin-04.txt> as a Proposed Standard,
  *> obsoleting RFC 2414. This document also updates RFC 2598.

Are you sure it updates RFC 2598, the EF PIB?  It does not reference
2598, and 2598 was itself obsoleted by 3246.

Shouldn't it also update 793, 2581, and 1122?

Note that the text has a reference to RFC 2481, but there is an
entry in the reference list for RFC 2581; are these the same?

Finally, c'mon, friends, proper academic conduct if nothing else
calls for a reference to RFC 793.

Bob Braden

  *> 
  *> This document is the product of the Transport Area Working Group
  *> Working Group.  The IESG contact persons are Allison Mankin and Scott
  *> Bradner.
  *> 
  *>  
  *> Technical Summary
  *>  
  *>   This document specifies an optional increase in the permitted initial window
  *>   for TCP from two segments to roughly 4K bytes. It discusses the advantages
  *>   and disadvantages of the higher initial window, and includes discussion of
  *>   experiments and simulations show that the higher initial window does not
  *>   lead to congestion collapse. The specification provides guidance
  *>   on some implementation issues. The conclusion is drawn that this small
  *>   change to TCP "will likely be beneficial to short-lived TCP connections
  *>   and those over links with long RTTs (saving several RTTs during the initial
  *>   slow-start phase)."
  *> 
  *>  
  *> Working Group Summary
  *>  
  *>   The specified TCP change is almost entirely the same as that of
  *>   RFC 2414, which was published experimentally. The determination to
  *>   move to standards track followed on review of the results after RFC
  *>   2414. The working group supported the advancement of the document,
  *>   and no issues were raised during IETF Last Call.
  *>  
  *> Protocol Quality
  *>  
  *>   This document was reviewed for the IESG by Allison Mankin.
  *> 
_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Fred Baker <[email-masked]>
Date: Wed, 28 Aug 2002 16:38:20 -0700

>2598, and 2598 was itself obsoleted by 3246.

EF traffic in the real internet (voice and sometimes video) doesn't 
generally use TCP. I don't see what the TCP Window has to do with any 
flavor of EF.

>Shouldn't it also update 793, 2581, and 1122?

does 793 specify the initial window or the window update algorithm? If so, 
I can't find the reference. 2581 doesn't update 793 or 1122, and 1122 
doesn't update 793. BTW, 1122 doesn't describe the VJ congestion avoidance 
algorithms either; when it talks about managing the window, it talks in 
terms of SWS, reneging on offered window, and probing a zero window...

---

From: Mark Allman <[email-masked]>
Date: Thu, 29 Aug 2002 08:17:55 -0400

> Shouldn't it also update 793, 2581, and 1122?

I'd say it updates 2581.  The others are not as necessary in my
opinion.

> calls for a reference to RFC 793.

I agree that there should be a reference.  Is there any chance that
the RFC editor might correct this oversight by inserting "[RFC793]"
near the first reference to TCP in the document?  We could also do
it in the author's 48 hour period too.

Thanks,
allman

--
Mark Allman -- BBN/NASA GRC -- http://roland.grc.nasa.gov/~mallman/
_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg